## soya 0.10.1

=== ode-0.5/Makefile ===
#########################################################################
#                                                                       #
# Open Dynamics Engine, Copyright (C) 2001,2002 Russell L. Smith.       #
# All rights reserved.  Email: russ@q12.org   Web: www.q12.org          #
#                                                                       #
# This library is free software; you can redistribute it and/or         #
# modify it under the terms of EITHER:                                  #
#   (1) The GNU Lesser General Public License as published by the Free  #
#       Software Foundation; either version 2.1 of the License, or (at  #
#       your option) any later version. The text of the GNU Lesser      #
#       General Public License is included with this library in the     #
#       file LICENSE.TXT.                                               #
#   (2) The BSD-style license that is included with this library in     #
#       the file LICENSE-BSD.TXT.                                       #
#                                                                       #
# This library is distributed in the hope that it will be useful,       #
# but WITHOUT ANY WARRANTY; without even the implied warranty of        #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the files    #
# LICENSE.TXT and LICENSE-BSD.TXT for more details.                     #
#                                                                       #
#########################################################################

.SUFFIXES:

USER_SETTINGS=config/user-settings
include $(USER_SETTINGS)
PLATFORM_MAKEFILE=config/makefile.$(PLATFORM)
include $(PLATFORM_MAKEFILE)

##############################################################################
# check some variables that were supposed to be defined

ifneq ($(BUILD),debug)
ifneq ($(BUILD),release)
$(error the BUILD variable is not set properly)
endif
endif

ifneq ($(PRECISION),SINGLE)
ifneq ($(PRECISION),DOUBLE)
$(error the PRECISION variable is not set properly)
endif
endif

##############################################################################
# package settings

ODE_SRC = \
	ode/src/array.cpp \
	ode/src/error.cpp \
	ode/src/memory.cpp \
	ode/src/obstack.cpp \
	ode/src/odemath.cpp \
	ode/src/matrix.cpp \
	ode/src/misc.cpp \
	ode/src/rotation.cpp \
	ode/src/mass.cpp \
	ode/src/ode.cpp \
	ode/src/step.cpp \
	ode/src/stepfast.cpp \
	ode/src/quickstep.cpp \
	ode/src/util.cpp \
	ode/src/lcp.cpp \
	ode/src/joint.cpp \
	ode/src/timer.cpp \
	ode/src/mat.cpp \
	ode/src/testing.cpp \
	ode/src/export-dif.cpp \
	ode/src/collision_kernel.cpp \
	ode/src/collision_util.cpp \
	ode/src/collision_std.cpp \
	ode/src/collision_space.cpp \
	ode/src/collision_transform.cpp \
	ode/src/collision_quadtreespace.cpp

ifdef OPCODE_DIRECTORY
ODE_SRC +=ode/src/collision_trimesh.cpp \
	ode/src/collision_trimesh_sphere.cpp \
	ode/src/collision_trimesh_box.cpp \
	ode/src/collision_trimesh_trimesh.cpp \
	ode/src/collision_trimesh_ray.cpp \
	ode/src/collision_trimesh_ccylinder.cpp \
	ode/src/collision_trimesh_distance.cpp
endif

ODE_PREGEN_SRC = \
	ode/src/fastldlt.c \
	ode/src/fastlsolve.c \
	ode/src/fastltsolve.c \
	ode/src/fastdot.c

ifeq ($(WINDOWS),1)
DRAWSTUFF_SRC = drawstuff/src/drawstuff.cpp drawstuff/src/windows.cpp
RESOURCE_FILE=lib/resources.RES
else
DRAWSTUFF_SRC = drawstuff/src/drawstuff.cpp drawstuff/src/x11.cpp
endif

ODE_LIB_NAME=ode
DRAWSTUFF_LIB_NAME=drawstuff

INCPATH=include
LIBPATH=lib

ODE_TEST_SRC_CPP = \
	ode/test/test_ode.cpp \
	ode/test/test_chain2.cpp \
	ode/test/test_hinge.cpp \
	ode/test/test_slider.cpp \
	ode/test/test_collision.cpp \
	ode/test/test_boxstack.cpp \
	ode/test/test_buggy.cpp \
	ode/test/test_crash.cpp \
	ode/test/test_joints.cpp \
	ode/test/test_space.cpp \
	ode/test/test_I.cpp \
	ode/test/test_step.cpp \
	ode/test/test_friction.cpp \
	ode/test/test_space_stress.cpp
ifdef OPCODE_DIRECTORY
ODE_TEST_SRC_CPP += \
	ode/test/test_trimesh.cpp \
	ode/test/test_moving_trimesh.cpp
endif

ODE_TEST_SRC_C = \
	ode/test/test_chain1.c
DRAWSTUFF_TEST_SRC_CPP = \
	drawstuff/dstest/dstest.cpp

CONFIGURATOR_SRC=configurator.c
CONFIG_H=include/ode/config.h

##############################################################################
# OPCODE build rules

ifdef OPCODE_DIRECTORY

ODE_SRC+=\
	OPCODE/OPC_AABBCollider.cpp \
	OPCODE/OPC_AABBTree.cpp \
	OPCODE/OPC_BaseModel.cpp \
	OPCODE/OPC_BoxPruning.cpp \
	OPCODE/OPC_Collider.cpp \
	OPCODE/OPC_Common.cpp \
	OPCODE/OPC_HybridModel.cpp \
	OPCODE/OPC_LSSCollider.cpp \
	OPCODE/OPC_MeshInterface.cpp \
	OPCODE/OPC_Model.cpp \
	OPCODE/OPC_OBBCollider.cpp \
	OPCODE/Opcode.cpp \
	OPCODE/OPC_OptimizedTree.cpp \
	OPCODE/OPC_Picking.cpp \
	OPCODE/OPC_PlanesCollider.cpp \
	OPCODE/OPC_RayCollider.cpp \
	OPCODE/OPC_SphereCollider.cpp \
	OPCODE/OPC_SweepAndPrune.cpp \
	OPCODE/OPC_TreeBuilders.cpp \
	OPCODE/OPC_TreeCollider.cpp \
	OPCODE/OPC_VolumeCollider.cpp \
	OPCODE/Ice/IceAABB.cpp \
	OPCODE/Ice/IceContainer.cpp \
	OPCODE/Ice/IceHPoint.cpp \
	OPCODE/Ice/IceIndexedTriangle.cpp \
	OPCODE/Ice/IceMatrix3x3.cpp \
	OPCODE/Ice/IceMatrix4x4.cpp \
	OPCODE/Ice/IceOBB.cpp \
	OPCODE/Ice/IcePlane.cpp \
	OPCODE/Ice/IcePoint.cpp \
	OPCODE/Ice/IceRandom.cpp \
	OPCODE/Ice/IceRay.cpp \
	OPCODE/Ice/IceRevisitedRadix.cpp \
	OPCODE/Ice/IceSegment.cpp \
	OPCODE/Ice/IceTriangle.cpp \
	OPCODE/Ice/IceUtils.cpp

# GCC versions 3.X generate bad code for some modules
# with -O2, so we use -O1 until we get this tied down a bit more.
# There are at least two problematic code modules with -O2, one of
# which is OPC_TreeCollider (if you identify the other, which causes
# problems with trimesh-trimesh collisions, then let us know).
ifeq ($(CC),g++)
OPCODE/%.o: OPT=1
endif

endif

##############################################################################
# derived things

DEFINES=

# support TriMesh/OPCODE on the compiler command line
ifdef OPCODE_DIRECTORY
DEFINES+=$(C_DEF)dTRIMESH_ENABLED
INC_OPCODE=$(C_INC)$(OPCODE_DIRECTORY)
endif

# add some defines depending on the build mode
ifeq ($(BUILD),release)
DEFINES+=$(C_DEF)dNODEBUG
endif

# object file names
ODE_PREGEN_OBJECTS=$(ODE_PREGEN_SRC:%.c=%$(OBJ))
ODE_OBJECTS=$(ODE_SRC:%.cpp=%$(OBJ)) $(ODE_PREGEN_OBJECTS)
DRAWSTUFF_OBJECTS=$(DRAWSTUFF_SRC:%.cpp=%$(OBJ)) $(RESOURCE_FILE)

# side-effect variables causing creation of files containing lists of
# filenames to be linked, to work around command-line-length limitations
# on outdated 16-bit operating systems. because of command-line length
# limitations we cannot issue a link command with all object filenames
# specified (because this command is too long and overflows the command
# buffer), but instead must create a file containing all object filenames
# to be linked, and specify this list-file with @listfile on the command-line.
#
# the difficult part is doing this in a flexible way; we don't want to
# hard-code the to-be-linked object filenames in a file, but instead
# want to dynamically create a file containing a list of all object filenames
# within the $XXX_OBJECTS makefile variables. to do this, we use side-effect
# variables.
#
# idea: when these variables are EVALUATED (i.e. later during rule execution,
# not now during variable definition), they cause a SIDE EFFECT which creates
# a file with the list of all ODE object files. why the chicanery??? because
# if we have a command-line length limitation, no SINGLE command we issue will 
# be able to create a file containing all object files to be linked
# (because that command itself would need to include all filenames, making
# it too long to be executed). instead, we must use the gnu-make "foreach"
# function, combined - probably in an unintended way - with the "shell" 
# function. this is probably unintended because we are not using the "shell"
# function to return a string value for variable evaluation, but are instead 
# using the "shell" function to cause a side effect (appending of each filename
# to the filename-list-file).
#
# one possible snag is that, forbidding use of any external EXE utilities and
# relying only on the facilities provided by the outdated 16-bit operating
# system, there is no way to issue a SERIES of commands which append text to
# the end of a file WITHOUT adding newlines. therefore, the list of to-be-
# linked object files is separated by newlines in the list file. fortunately,
# the linker utility for this outdated 16-bit operating system accepts
# filenames on separate lines in the list file.

# remember: when we evaluate these variables later, this causes the creation
# of the appropriate list file.
ifeq ($(WINDOWS16),1)
SIDE_EFFECT_ODE_OBJLIST = $(foreach o,$(ODE_OBJECTS),$(shell echo $(o) >> odeobj.txt ))
SIDE_EFFECT_DRAWSTUFF_OBJLIST = $(foreach o,$(DRAWSTUFF_OBJECTS),$(shell echo $(o) >> dsobj.txt ))
endif

# library file names
ODE_LIB=$(LIBPATH)/$(LIB_PREFIX)$(ODE_LIB_NAME)$(LIB_SUFFIX)
DRAWSTUFF_LIB=$(LIBPATH)/$(LIB_PREFIX)$(DRAWSTUFF_LIB_NAME)$(LIB_SUFFIX)

# executable file names
ODE_TEST_EXE=$(ODE_TEST_SRC_CPP:%.cpp=%.exe) $(ODE_TEST_SRC_C:%.c=%.exe)
DRAWSTUFF_TEST_EXE=$(DRAWSTUFF_TEST_SRC_CPP:%.cpp=%.exe)
CONFIGURATOR_EXE=$(CONFIGURATOR_SRC:%.c=%.exe)

##############################################################################
# rules
#
# NOTE: the '.c' files are pregenerated sources, and must be compiled with
# -O1 optimization. that is why the rule for .c files is a bit different.
# why should it be compiled with O1? it is numerical code that is generated
# by fbuild. O1 optimization is used to preserve the operation orders that
# were discovered by fbuild to be the fastest on that platform. believe it or
# not, O2 makes this code run much slower for most compilers.

all: ode-lib
	@echo SUCCESS

ode-lib: configure $(ODE_LIB)
drawstuff-lib: configure $(DRAWSTUFF_LIB)
ode-test: ode-lib drawstuff-lib $(ODE_TEST_EXE)
drawstuff-test: drawstuff-lib $(DRAWSTUFF_TEST_EXE)

ifndef ODE_LIB_AR_RULE
ODE_LIB_AR_RULE=$(AR)$@
endif

$(ODE_LIB): pre_ode_lib $(ODE_OBJECTS)
ifeq ($(WINDOWS16),1)
#   if we have a command-line-length limitation, then dynamically create
#   a file containing all object filenames, and pass this file to the linker
#   instead of directly specifying the object filenames on the command line.
#   the very evaluation of the following variable causes creation of file
#   odeobj.txt
	$(SIDE_EFFECT_ODE_OBJLIST)
	$(ODE_LIB_AR_RULE) @odeobj.txt
else
#   if we have no command-line-length limitation, directly specify all
#   object files to be linked.
	$(ODE_LIB_AR_RULE) $(ODE_OBJECTS)
endif

ifdef RANLIB
	$(RANLIB) $@
endif

$(DRAWSTUFF_LIB): pre_drawstuff_lib $(DRAWSTUFF_OBJECTS)
ifeq ($WINDOWS16),1)
#   if we have a command-line-length limitation, then do the same as above.
	$(SIDE_EFFECT_DRAWSTUFF_OBJLIST)
	$(AR)$@ @dsobj.txt
else
#   if we have no command-line-length limitation, directly specify all object
#   files to be linked.
	$(AR)$@ $(DRAWSTUFF_OBJECTS)
endif
ifdef RANLIB
	$(RANLIB) $@
endif

# rules to be executed before library linking starts: delete list file (if one is used)

pre_ode_lib:
ifeq ($WINDOWS16),1)
	$(DEL_CMD) odeobj.txt
endif

pre_drawstuff_lib:
ifeq ($WINDOWS16),1)
	$(DEL_CMD) dsobj.txt
endif

clean:
	-$(DEL_CMD) $(ODE_OBJECTS) $(ODE_TEST_EXE) $(ODE_LIB) $(DRAWSTUFF_OBJECTS) $(DRAWSTUFF_TEST_EXE) $(DRAWSTUFF_LIB) ode/test/*$(OBJ) drawstuff/dstest/*$(OBJ) $(CONFIGURATOR_EXE) $(CONFIG_H)
	-$(DEL_CMD) OPCODE/*.obj OPCODE/*.o OPCODE/Ice/*.obj OPCODE/Ice/*.o

%$(OBJ): %.c
	$(CC) $(C_FLAGS) $(C_INC)$(INCPATH) $(DEFINES) $(C_OPT)1 $(C_OUT)$@ $<

%$(OBJ): %.cpp
	$(CC) $(C_FLAGS) $(C_INC)$(INCPATH) $(INC_OPCODE) $(DEFINES) $(C_OPT)$(OPT) $(C_OUT)$@ $<

%.exe: %$(OBJ)
	$(CC) $(C_EXEOUT)$@ $< $(ODE_LIB) $(DRAWSTUFF_LIB) $(RESOURCE_FILE) $(LINK_OPENGL) $(LINK_MATH)


# windows specific rules

lib/resources.RES: drawstuff/src/resources.rc
	$(RC_RULE)


# configurator rules

configure: $(CONFIG_H)

$(CONFIG_H): $(CONFIGURATOR_EXE) $(USER_SETTINGS) $(PLATFORM_MAKEFILE)

## soya 0.15~rc1

=== debian/changelog ===
soya (0.15~rc1-3) unstable; urgency=low

  * Python 2.6 does not support string exceptions any more. Add a patch to
    encapsulate them into exception instances. Closes: #585329.
  * Bump Standards-Version to 3.8.4.

 -- Vincent Bernat <bernat@debian.org>  Fri, 18 Jun 2010 21:15:52 +0200

soya (0.15~rc1-2) unstable; urgency=low

  * Fix some null characters appearing in editor/world.py.
    Closes: #568057.

 -- Vincent Bernat <bernat@debian.org>  Tue, 02 Feb 2010 07:54:42 +0100

soya (0.15~rc1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Build-depend on python-all-dev (>= 2.5).
  * Add XS-Python-Version field.
  * Remove python-elementtree from Depends. Closes: #562462.

  [ David Martínez Martí ]
  * New upstream release. Allows soya to be compiled with
    newer pyrex versions.
  * Copyright file: Changed license text from GPLv2 only to 
    GPLv2 or later.
  * Some changes in debian/patches:
    + elementtree: removed because upstream solved this issue.  
    + enable-pyrex: removed because upsream no longer restricts pyrex 
      compilation when a .svn folder exists
    + pyrex-compilation: patch refreshed using quilt
    + use-ode-config: patch refreshed using quilt
  
  [ Vincent Bernat ]
  * Switch to 3.0 quilt format and orig.tar.bz2.
  * Remove _soya.c on clean since it is autogenerated.

 -- David Martínez Martí (mainkey) <deavidsedice@gmail.com>  Tue, 19 Jan 2010 16:17:18 +0100

soya (0.14-4) unstable; urgency=low

  * Use (freetype|ode)-config when compiling and linking to
    lib(freetype|ode). Closes: #521754.
  * Depends on libode-sp-dev instead of libode-dev since soya only works
    with single precision.
  * Add a patch from Jakub Wilk to fix compilation with new pyrex.
    Closes: #533922.
  * Bump Standards-Version to 3.8.3.

 -- Vincent Bernat <bernat@debian.org>  Sat, 17 Oct 2009 11:57:22 +0200

soya (0.14-3) unstable; urgency=low

  * Upload to unstable.
  * Fix FTBFS with python-support from experimental. Closes: #517310.
  * Bump Standards-Version to 3.8.1.
  * Some lintian fixes:
      + debian/copyright refers to /usr/share/common-licenses/GPL-2
      + add description to each patch
      + add ${misc:Depends}

 -- Vincent Bernat <bernat@debian.org>  Fri, 20 Mar 2009 20:16:29 +0100

soya (0.14-2) experimental; urgency=low

  [ Vincent Bernat ]
  * Depends on python-elementtree and add a patch to be able to use
    elementtree from Python 2.5 (Closes: #500368).
  * Do not ship debian/pycompat by removing it in clean target of
    debian/rules, thanks to Iain Lane (Closes: #505001).

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Vincent Bernat <bernat@debian.org>  Thu, 20 Nov 2008 19:50:59 +0100

soya (0.14-1) experimental; urgency=low

  * New upstream release (Closes: #491194)
  * Adopt the package.
  * Add VCS fields in debian/control.
  * Switch to Standards-Version 3.8.0. No changes required.
  * Remove unneeded debian/pycompat.
  * Add a patch to enable pyrex compilation even if we don't compile from
    SVN.

 -- Vincent Bernat <bernat@debian.org>  Mon, 01 Sep 2008 20:35:01 +0200

soya (0.13.2-5) unstable; urgency=high

  * Applied patch from Peter De Wachter to use openal audio device
    autodetection, as the device naming scheme changed, resulting in
    application crash when sound is initialized (Closes: #493163).
  * Applied patch from Peter De Wachter (thanks a lot) to fix build with
    newer pyrex, and reactivated pyrex code build instead of relying
    upon precompiled code (which was a way to save buildd resources)
    (Closes: #496694). Enforced the pyrex version to avoid a nasty bug
    in generated code.
  * Replaced Build-Depends on libglu1-xorg-dev with its successor
    libglu1-mesa-dev.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 29 Aug 2008 04:04:31 +0200

soya (0.13.2-4) unstable; urgency=high

  * Rebuilt for unadvertised libglew transition (1.4->1.5), making this
    package uninstallable (updated Build-Depends) (priority high).
  * Moved homepage information to new control field.
  * Increased Standards-Version (no changes).
  * Avoided duplicate font 'FreeSans.ttf' by adding a depends on 'ttf-
    freefont' and a symlink to replace the upstream file (patch
    suggested by Jérôme Guelfucci) (Closes: #459202).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sun, 02 Mar 2008 18:46:32 +0100

soya (0.13.2-3) unstable; urgency=low

  * Rebuild with updated Build-Depends because of unadvertised cal3d
    transition (Closes: #432426).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 10 Jul 2007 22:12:01 +0200

soya (0.13.2-2) unstable; urgency=high

  * Added missing dependency (python-twisted-core).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 10 Jul 2007 10:20:36 +0200

soya (0.13.2-1) unstable; urgency=low

  * New upstream release.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sun, 01 Jul 2007 12:59:21 +0200

soya (0.13.1-1) UNRELEASED; urgency=low

  * New upstream release:
    + removed obsolete build_ode_module patch.
    + removed obsolete '--dont-build-ode' build option.
    + patched to remove useless shebang in 'q3bsp2soya.py'.
    + building with needed Ode >= 0.6 in experimental.
  * Removed useless Recommends on python-openal (sound support with
    OpenAL was integrated in 0.12).
  * Removed obsolete Conflicts / Replaces / Provides as Etch is
    released.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 19 Jun 2007 02:35:24 +0200

soya (0.12-2) unstable; urgency=low

  * The "working too late always leads to missed things" release.
  * Fixed missing build dependencies needed for newly integrated sound
    support with OpenAL (Closes: 380697).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue,  1 Aug 2006 10:49:50 +0200

soya (0.12-1) unstable; urgency=low

  * New upstream release:
    + fixed crashes on 64 bits architectures (thanks to the nice debug work of
      Vincent Fourmond) (Closes: #281348).
    + fixed a minor syntax warning (Closes: #325540).


=== debian/control ===
Source: soya
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, David Martínez Martí (mainkey) <deavidsedice@gmail.com>
Build-Depends: cdbs, debhelper (>= 5), python-all-dev (>= 2.5), quilt, patchutils (>= 0.2.25), cdbs (>= 0.4.27), libsdl1.2-dev, libcal3d12-dev, libglu1-mesa-dev | libglu-dev, libfreetype6-dev, libpng12-dev, libglew1.5-dev, libode-sp-dev, libopenal-dev (>= 0.2005080600-2), libalut-dev, python-pyrex (>= 0.9.7.2), python-support
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://home.gna.org/oomadness/en/soya/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/soya/trunk
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/soya/trunk/?op=log

Package: python-soya
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, python-imaging-tk, python-editobj (>= 0.5.7-4), python-twisted-core, ttf-freefont, ${misc:Depends}
Suggests: python-soya-doc
Provides: ${python:Provides}
Description: high level 3D engine for Python
 Soya 3D is a high level 3D engine for Python. It relies on OpenGL and
 SDL. It is designed with games in mind, and written partly in Python
 and partly in C; the goal is to provide a full architecture for making
 free (GPL) games of professional quality entirely in Python.
 Soya can also render on PyGame surfaces !

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
DEB_PYTHON_SYSTEM = pysupport
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE := .py

# In order to regenerate 'debian/control' :
#    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

install/python-soya::
	# fix unnecessary versionned shebang
	sed -i 's/^#! *\/usr\/bin\/python[0-9.]\+/#! \/usr\/bin\/python/' debian/$(cdbs_curpkg)/usr/bin/*
	# move data to usr/share
	mv debian/$(cdbs_curpkg)/usr/lib/python$(cdbs_python_current_version)/site-packages/soya/data/* \
		debian/$(cdbs_curpkg)/usr/share/$(cdbs_curpkg)
	rm -rf debian/$(cdbs_curpkg)/usr/lib/python*/site-packages/soya/data
	# avoid font duplication
	rm debian/$(cdbs_curpkg)/usr/share/python-soya/FreeSans.ttf
	dh_link -p$(cdbs_curpkg) usr/share/fonts/truetype/freefont/FreeSans.ttf \
		usr/share/python-soya/FreeSans.ttf
	# remove unneeded execute bit
	find debian/$(cdbs_curpkg)/usr/share/ -type f -exec chmod -R a-x {} \;

clean::
	rm -f debian/pycompat
	rm -f _soya.c

=== debian/watch ===
version=2
http://download.gna.org/soya/ \
	Soya-([\d.]+).tar.bz2 \
        debian uupdate
